import { createApp } from 'vue'
import 'reset-css'
import 'vant/lib/index.css';
import App from './App.vue'
import router from "@/router/index.js"
import Loading from "@/components/loading/index"
import { Image as VanImage } from 'vant';
import {Toast,ImagePreview,Lazyload,Overlay, List,Tab, Tabs,PullRefresh,CountDown,Checkbox, CheckboxGroup, RadioGroup, Radio,Field } from 'vant';
import VConsole from 'vconsole';
if(import.meta.env.MODE!=='production') {
    const vConsole = new VConsole();
};
const app = createApp(App);
//app.config.compilerOptions.isCustomElement = (tag) => { return tag.startsWith('wx-open-launch-weapp') }
app.use(router);
app.use(VanImage);
app.use(List);
app.use(Tab);
app.use(Tabs);
app.use(PullRefresh);
app.use(CountDown);
app.use(Checkbox);
app.use(CheckboxGroup)
app.use(Radio);
app.use(RadioGroup);
app.use(Field);
app.use(Overlay);
app.use(Toast);
app.use(Lazyload );
app.use(ImagePreview)
app.use(Loading)
app.mount('#app')

